CVE-2001-0748
CVSS10.0
发布时间 :2001-10-18 00:00:00
修订时间 :2008-09-05 16:24:50
NMCOES    

[原文]Acme.Serve 1.7, as used in Cisco Secure ACS Unix and possibly other products, allows remote attackers to read arbitrary files by prepending several / (slash) characters to the URI.


[CNNVD]Acme.Serve v1.7任意文件访问漏洞(CNNVD-200110-111)

        用于Cisco Secure ACS Unix及可能其他的产品中的Acme.Serve 1.7存在漏洞。远程攻击者可以通过预先放置几个/(斜杠)字符到URI来读取任意文件。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0748
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0748
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200110-111
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/archive/1/188141
(VENDOR_ADVISORY)  BUGTRAQ  20010531 Acme.Server v1.7 of 13nov96 Directory Browsing
http://www.securityfocus.com/bid/2809
(UNKNOWN)  BID  2809
http://www.osvdb.org/5544
(UNKNOWN)  OSVDB  5544
http://www.iss.net/security_center/static/6634.php
(UNKNOWN)  XF  acme-serve-directory-traversal(6634)
http://www.cisco.com/warp/public/707/acmeweb-acsunix-dirtravers-vuln-pub.shtml
(UNKNOWN)  CISCO  20020702 Cisco Secure ACS Unix Acme.server Information Disclosure Vulnerability

- 漏洞信息

Acme.Serve v1.7任意文件访问漏洞
危急 设计错误
2001-10-18 00:00:00 2006-08-03 00:00:00
远程  
        用于Cisco Secure ACS Unix及可能其他的产品中的Acme.Serve 1.7存在漏洞。远程攻击者可以通过预先放置几个/(斜杠)字符到URI来读取任意文件。

- 公告与补丁

        Cisco has released version 2.3.6.1 of Secure ACS for UNIX, which resolves this issue. Customers are advised to obtain an update through their regular update channels.
        Cisco Secure ACS for Unix 2.0
        
        Cisco Secure ACS for Unix 2.3
        
        Cisco Secure ACS for Unix 2.3.5 .1
        

- 漏洞信息 (20894)

Acme.Serve v1.7 Arbitrary File Access Vulnerability (EDBID:20894)
multiple remote
2001-05-31 Verified
0 Adnan Rahman
N/A [点击下载]
source: http://www.securityfocus.com/bid/2809/info

Acme.Serve is a free, open-source, embeddable webserver written in Java. It is small, is intended to provide minimal functionality, and is fully compatible with JavaServer.

Acme.Serve 1.7 comes with a webserver that listens on port 9090. This webserver allows clients to browse the filesystem. By default, this webserver is enabled and accessible by any remote host on the Internet.

If an attacker were to connect, they could view possibly sensitive information.


http://potentialvictim:9090//etc/shadow to view '/etc/shadow'. 		

- 漏洞信息

5544
Acme.Serve URI Encoded Traversal Arbitrary File Access
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

ACME Laboratories' Java class Acme.Serve.Serve contains a flaw that allows a remote attacker to traverse outside of the web path. The issue is due to the server not properly sanitizing user input, specifically crafted URI requests using multiple slahses (////). With such a request, an attacker can force the server to access arbitrary files or force a directory index listing.

- 时间线

2001-05-31 Unknow
2001-05-31 Unknow

- 解决方案

The Acme.Serve.Serve embedded web server is used in a wide variety of products. Consult your vendor for mitigation information. Upgrade to version Cisco SecureACS for Unix 2.3.6.1 or higher, as it has been reported to fix this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Acme.Serve v1.7 Arbitrary File Access Vulnerability
Design Error 2809
Yes No
2001-05-31 12:00:00 2007-06-06 10:20:00
This was posted to BugTraq by "Adnan Rahman" <adnan.rahman@as19.org> on May 31st, 2001.

- 受影响的程序版本

Cisco Secure ACS for Unix 2.3.5 .1
Cisco Secure ACS for Unix 2.3
Cisco Secure ACS for Unix 2.0
APC PowerChute Network Shutdown 2.2.1
ACME Laboratories Acme.Serve 1.7
Cisco Secure ACS for Unix 2.3.6 .1

- 不受影响的程序版本

Cisco Secure ACS for Unix 2.3.6 .1

- 漏洞讨论

Acme.Serve is a free, open-source, embeddable webserver written in Java. It is small, is intended to provide minimal functionality, and is fully compatible with JavaServer.

Acme.Serve 1.7 comes with a webserver that listens on port 9090. This webserver allows clients to browse the filesystem. By default, this webserver is enabled and accessible by any remote host on the Internet.

If an attacker were to connect, they could view possibly sensitive information.

- 漏洞利用

The following example has been provided:

http://potentialvictim:9090//etc/shadow to view '/etc/shadow'.

- 解决方案

Cisco has released version 2.3.6.1 of Secure ACS for UNIX, which resolves this issue. Customers are advised to obtain an update through their regular update channels.


Cisco Secure ACS for Unix 2.0

Cisco Secure ACS for Unix 2.3

Cisco Secure ACS for Unix 2.3.5 .1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站